
Redmine - Patch #19455

Replace manual query in version helper

2015-03-23 10:45 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.1.0   

Description

This patch is to remove unnecessary manual query from version helper and to reuse versions fixed_issues field.

This eliminates dependency and reduces code complexity.

Associated revisions

Revision 14263 - 2015-05-10 12:10 - Jean-Philippe Lang

Use #fixed_issues association (#19455).

Patch by Sebastian Paluch.

History

#1 - 2015-04-21 10:40 - Toshi MARUYAMA

- Target version set to 3.1.0

#2 - 2015-05-10 12:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed in r14263, thanks!

Files

versions_helper.rb.patch 833 Bytes 2015-03-23 Sebastian Paluch
